From 4dd0942e8499c8569117a9ee6844406296c208a0 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jun 16 2021 15:44:38 +0000
Subject: [PATCH 1/2] libre/pacman: 6.0.0-3 sync with upstream


---

diff --git a/libre/pacman/PKGBUILD b/libre/pacman/PKGBUILD
index 0eb78de..8e60c23 100644
--- a/libre/pacman/PKGBUILD
+++ b/libre/pacman/PKGBUILD
@@ -8,7 +8,7 @@
 
 pkgname=pacman
 pkgver=6.0.0
-pkgrel=2
+pkgrel=3
 pkgrel+=.parabola1
 pkgdesc="A library-based package manager with dependency support"
 arch=('x86_64')
@@ -32,6 +32,8 @@ options=('strip' 'debug')
 validpgpkeys=('6645B0A8C7005E78DB1D7864F99FFE0FEAE999BD'  # Allan McRae <allan@archlinux.org>
               'B8151B117037781095514CA7BBDFFC92306B1121') # Andrew Gregory (pacman) <andrew@archlinux.org>
 source=(https://sources.archlinux.org/other/pacman/$pkgname-$pkgver.tar.xz{,.sig}
+        pacman-6.0.0-fix-404-download.patch::https://git.archlinux.org/pacman.git/patch/?id=3401f9e142ac4c701cd98c52618cb13164f2146b
+        pacman-6.0.0-fix-key-import-double-free.patch::https://git.archlinux.org/pacman.git/patch/?id=542910d684191eb7f25ddc5d3d8fe3060028a267
         "${arch[@]/#/pacman.conf.}"
         makepkg.conf.in
         pacman-keyring.service
@@ -42,10 +44,12 @@ source_armv7h=(0001-Sychronize-filesystem.patch
                0003-Revert-alpm_run_chroot-always-connect-parent2child-p.patch)
 sha256sums=('004448085a7747bdc7a0a4dd5d1fb7556c6b890111a06e029ab088f9905d4808'
             'SKIP'
+            'fe7e037e1b84bfa5bc401650d148c2a2e87d827705a6ec18a596ff5eea3cc0fd'
+            'a51b57dd47818d97e29ac0b8604b4b409916bbe6029adfbb03ac7e7c2b2a0819'
             '29815f65c9dc402cd22651ae1b24def9a6b1525554b348b28a398530a79a1092'
             '4a4198d6269a8a6b76edf66df4185c599f0b12e143fb7cc9a3497cc78f5e33f8'
             'a7bc662bda8e5707eddc2b8891fd756afed4aeea76e5a0145ecba128a8210d7f'
-            '39330da7fceba67e1ed5c8981e5565668711dbe46f4b305b84ac853da4bdd317'
+            '20e9de1b612c3f24736e76a753cd38b7ea0f80160185012a538a77297acfb31f'
             '220f1b25a64727041dc6fa3fd486b0a043f735a3f6cecedc4e2f7c47ec6ce66d'
             '2a857061f032ff5485f5c75ab74e6f6532621e08963ef48640a792cca16cacd6'
             '9ccc7ef5bd27a68d8788f10c6e5b36495c5d9038d4eb160f9ea4dc9901b622d8')
@@ -55,6 +59,8 @@ sha256sums_armv7h=('8d70fb5094f58aad98b601bbc42be354c2014b9fe734a1ee0b1e14bb041c
 
 prepare() {
   cd "$pkgname-$pkgver"
+  patch -p1 -i "$srcdir"/pacman-6.0.0-fix-404-download.patch
+  patch -p1 -i "$srcdir"/pacman-6.0.0-fix-key-import-double-free.patch
 
   # From Arch ARM
   if [ "${CARCH}" = "armv7h" ]; then

From ff2786145f6f3cd7260440a578841a70b267e8f3 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jun 16 2021 15:45:54 +0000
Subject: [PATCH 2/2] libre/pacman: sync makepkg.conf.in with upstream


Let's keep it as close to upstream as possible:
 * comment CPPFLAGS
 * disable debug packages by default
 * switch to ZSTD compression. I've been using it for packages for
   several months and observed no issues with both XZ- and
ZSTD-compressed packages.

---

diff --git a/libre/pacman/makepkg.conf.in b/libre/pacman/makepkg.conf.in
index 4292088..e226e7f 100644
--- a/libre/pacman/makepkg.conf.in
+++ b/libre/pacman/makepkg.conf.in
@@ -37,7 +37,7 @@ CARCH="@CARCH@"
 CHOST="@CHOST@"
 
 #-- Compiler and Linker Flags
-CPPFLAGS=""
+#CPPFLAGS=""
 CFLAGS="@CARCHFLAGS@"
 CXXFLAGS="@CARCHFLAGS@ -Wp,-D_GLIBCXX_ASSERTIONS"
 LDFLAGS="@LDFLAGS@"
@@ -76,7 +76,7 @@ BUILDENV=(!distcc color !ccache check !sign)
 #   These are default values for the options=() settings
 #########################################################################
 #
-# Makepkg defaults: OPTIONS=(!strip docs libtool staticlibs emptydirs !zipman !purge debug !lto)
+# Makepkg defaults: OPTIONS=(!strip docs libtool staticlibs emptydirs !zipman !purge !debug !lto)
 #  A negated option will do the opposite of the comments below.
 #
 #-- strip:      Strip symbols from binaries/libraries
@@ -89,7 +89,7 @@ BUILDENV=(!distcc color !ccache check !sign)
 #-- debug:      Add debugging flags as specified in DEBUG_* variables
 #-- lto:        Add compile flags for building with link time optimization
 #
-OPTIONS=(strip docs !libtool !staticlibs emptydirs zipman purge debug !lto)
+OPTIONS=(strip docs !libtool !staticlibs emptydirs zipman purge !debug !lto)
 
 #-- File integrity checks to use. Valid: md5, sha1, sha224, sha256, sha384, sha512, b2
 INTEGRITY_CHECK=(sha256)
@@ -145,7 +145,7 @@ COMPRESSLZ=(lzip -c -f)
 # EXTENSION DEFAULTS
 #########################################################################
 #
-PKGEXT='.pkg.tar.xz'
+PKGEXT='.pkg.tar.zst'
 SRCEXT='.src.tar.gz'
 
 #########################################################################

